%define ruby_sitelib %(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")
%define gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%define gemname triage
%define geminstdir %{gemdir}/gems/%{gemname}-%{version}

Summary: Rubygem for reporting success/failure on arbitrary commands
Name: rubygem-triage
Version: 0.2
Release: 1%{?org_tag}%{?dist}
Group: Development/Languages
License: GPLv2+ or Ruby
URL: http://www.openfusion.net/tags/triage
Source0: %{gemname}-%{version}.gem
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: rubygems
Requires: rubygem(net-sshr) >= 0.5
Requires: rubygem(term-ansicolor) >= 0
BuildRequires: rubygems
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
Triage is a rubygem for running arbitrary commands locally or remotely
(via ssh, asynchronously) and reporting on their success or failure.

It is intended for use via Rake as an interactive environment testing 
tool.

%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
gem install --local --install-dir %{buildroot}%{gemdir} \
            --force --rdoc %{SOURCE0}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%{gemdir}/gems/%{gemname}-%{version}/
%doc %{gemdir}/doc/%{gemname}-%{version}
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%changelog
* Mon Oct 04 2010 Gavin Carr <gavin@openfusion.com.au> - 0.1-1
- Initial package.
